//---------------------------------------------------------------------------
// Store global variables
//---------------------------------------------------------------------------
public class Globals{
    public static final int TCP_BUFFER_SIZE = 8388608;
    public static final boolean VERBOSE = false;
    public static final boolean PRINT_STATS = true;
    public static Statistics stats = new Statistics();

    //-----------------------------------------------------------------------
    // Print only if VERBOSE is on
    //-----------------------------------------------------------------------
    public static void debugPrintln(String str)
    {
	if(VERBOSE){
	    System.out.println(str);
	}
    }

    //-----------------------------------------------------------------------
    // Print only if VERBOSE is on
    //-----------------------------------------------------------------------
    public static void debugPrint(String str)
    {
	if(VERBOSE){
	    System.out.print(str);
	}
    }

    //-----------------------------------------------------------------------
    // Print only if statistics printing is turned on
    //-----------------------------------------------------------------------
    public static void statPrintln(String str)
    {
	if(PRINT_STATS){
	    System.out.println(str);
	}
    }

    //-----------------------------------------------------------------------
    // Print only if statistics printing is turned on
    //-----------------------------------------------------------------------
    public static void statPrint(String str)
    {
	if(PRINT_STATS){
	    System.out.print(str);
	}
    }
}
