//---------------------------------------------------------------------------
// PMsgFileFilter: Used to filter out non-message containing files
//---------------------------------------------------------------------------
import java.io.File;
import java.io.FilenameFilter;

public class PMsgFileFilter implements FilenameFilter{

    //-----------------------------------------------------------------------
    // Return true if this file is a valid message file
    //-----------------------------------------------------------------------
    public boolean accept(File dir, String name)
    {
	return(name.startsWith("msgs"));
    }
}
