//---------------------------------------------------------------------------
// ReplicaUnreceptiveException: Thrown when trying to send to a dead replica
//---------------------------------------------------------------------------
public class ReplicaUnreceptiveException extends Exception{

    //-----------------------------------------------------------------------
    // Constructor
    //-----------------------------------------------------------------------
    public ReplicaUnreceptiveException()
    {
	this.errString = "Replica queue full";
    }

    //-----------------------------------------------------------------------
    // Constructor
    //-----------------------------------------------------------------------
    public ReplicaUnreceptiveException(String errString)
    {
	this.errString = errString;
    }

    //-----------------------------------------------------------------------
    // Convert the exception to a string (return the error string)
    //-----------------------------------------------------------------------
    public String toString()
    {
	return(this.errString);
    }

    //-----------------------------------------------------------------------
    // Used for testing only
    //-----------------------------------------------------------------------
    public static void main(String[] argv)
    {
	try{
	    throw new ReplicaUnreceptiveException();
	}catch(ReplicaUnreceptiveException e){
	    //e.printStackTrace();
	    //System.out.println("" + e);
	}
	try{
	    throw new ReplicaUnreceptiveException("Error");
	}catch(ReplicaUnreceptiveException e){
	    //e.printStackTrace();
	    //System.out.println("" + e);
	}
    }

    //-----------------------------------------------------------------------
    // Protected data
    //-----------------------------------------------------------------------
    protected String errString;
}
