//---------------------------------------------------------------------------
// ShadowEntry: One entry from the shadow file
//---------------------------------------------------------------------------
public class ShadowEntry{

    //-----------------------------------------------------------------------
    // Constructor
    //-----------------------------------------------------------------------
    public ShadowEntry(String objectID, long seqNum, int status)
    {
	this.objectID = objectID;
	this.seqNum = seqNum;
	this.status = status;
    }

    //-----------------------------------------------------------------------
    // Return the objectID
    //-----------------------------------------------------------------------
    public String getObjectID()
    {
	return(this.objectID);
    }

    //-----------------------------------------------------------------------
    // Return the sequence number
    //-----------------------------------------------------------------------
    public long getSeqNum()
    {
	return(this.seqNum);
    }

    //-----------------------------------------------------------------------
    // Return the status
    //-----------------------------------------------------------------------
    public int getStatus()
    {
	return(this.status);
    }

    //-----------------------------------------------------------------------
    // Protected data
    //-----------------------------------------------------------------------
    protected String objectID;
    protected long seqNum;
    protected int status;
}
